Skip to Content

Want to make sure your Java EE application is really scalable by consuming only suitable amounts of memory & CPU? Or you already have problems with long response times in your application? Then have a look “under the hood”! How? Use our tool SAP JVM Profiler Preview. All you need is a SAP NetWeaver CE 7.1 (SR 3), an Eclipse or SAP NetWeaver Developer Studio & the Profiler’s Eclipse plug-in. Check out our Wiki page to get more information about it, where to download and first steps.

To report this post you need to login first.

10 Comments

You must be Logged on to comment or reply to a post.

  1. Janek Bakiewicz
    Hi,

    I try to install SAP JVM Profiler 1.4.2 in my Eclipse version, but it does give the following message:

    SAP JVM Profiler (1.4.2) requires plug-in “org.eclipse.debug.core (3.3.0)”, or later version.

    Somehwere on the internet I found the following file core-3.3.0-v20070607-1800.jar (www.jarava.com). Is this the rights core and how do I install it?

    Janek

    (0) 
  2. Guido Derwand Post author
    Hello Janek,

    which Eclipse version are you using when you get this error message? The Profiler 1.4 needs Eclipse 3.3 or newer.

    Best regards, Guido

    (0) 
  3. Janek Bakiewicz
    Hi Guido,

    How can I see which eclipse version I am using. I only know that I download file MemoryAnalyzer-Incubation-0.8.0.20100120-win32.win32.x86.zip from

    http://www.eclipse.org/downloads/download.php?file=/technology/mat/helios-preview/rcp/MemoryAnalyzer-Incubation-0.8.0.20100408-win32.win32.x86.zip&url=ftp://ftp.osuosl.org/pub/eclipse/technology/mat/helios-preview/rcp/MemoryAnalyzer-Incubation-0.8.0.20100408-win32.win32.x86.zip&mirror_id=272

    I did not find the version of eclipse itself. And I did look in all files which property or properties in the name.

    Kind regards,

    Janek Bakiewicz

    (0) 
    1. Guido Derwand Post author
      Hi Janek,

      it seems that you are trying to add the Profiler plug-in to the Memory Analyzer. This will not work, since the Memory Analyzer provides only the core Eclipse platform without the Java IDE. Parts of the latter are needed by the Profiler. Therefore I would recommend to download an Eclipse IDE for Java developers (you don’t need the large package for Java EE developers) from http://www.eclipse.org/downloads/ and add the Profiler plug-in to it.

      Best regards, Guido

      (0) 

Leave a Reply